> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Record

> Delete Record By Id . Supported Objects are business and custom objects.



## OpenAPI

````yaml /api-reference/objects/openapi.json delete /objects/{schemaKey}/records/{id}
openapi: 3.0.0
info:
  title: CUSTOM_OBJECTS API
  description: >-
    Custom objects are completely customizable objects that allow you to store
    and manage information tailored to your unique business needs. With custom
    objects, you can create custom fields, establish relationships, and
    integrate them into workflows, providing flexibility beyond standard objects
    like Contacts, Opportunities or Companies.
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Custom Objects Schema
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Object Schema
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Sub-Account (Formerly Location)
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Records
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Search Object Records
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Search
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Tags
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Tasks Search
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Custom Field
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Custom Value
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Timezone
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Template
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: ElasticSearch
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
paths:
  /objects/{schemaKey}/records/{id}:
    delete:
      tags:
        - Records
      summary: Delete Record
      description: Delete Record By Id . Supported Objects are business and custom objects.
      operationId: delete-object-record
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: schemaKey
          required: true
          in: path
          description: >-
            The key of the Custom Object / Standard Object Schema. For custom
            objects, the key must include the “custom_objects.” prefix, while
            standard objects use their respective object keys. This information
            is available on the Custom Objects Details page under Settings.
          schema:
            example: custom_objects.pet or business.email (for company's email)
            type: string
        - name: id
          required: true
          in: path
          description: >-
            id of the record to be updated. Available on the Record details page
            under the 3 dots or in the url
          schema:
            example: 632c34b4c9b7da3358ac9891
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectRecordDeleteResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer: []
components:
  schemas:
    ObjectRecordDeleteResponseDTO:
      type: object
      properties:
        id:
          type: string
          description: id of the deleted object
          example: 661c06b4ffde146bdb469442
        success:
          type: boolean
          description: boolean that defines if the operation was a success or not
          example: true
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````